#include "MainWindow.h"
#include "GLWindow.h"

MainWindow::MainWindow(
                       QWidget *_parent
                      ):
                        QMainWindow(_parent)
{
    this->resize(QSize(1024,720));
    m_gl = new GLWindow(this);
    this->setWindowTitle(QString("ngl::Camera and ngl::TransformStack demo"));
}

MainWindow::~MainWindow()
{
}


void MainWindow::keyPressEvent(
                               QKeyEvent *_event
                              )
{
  // this method is called every time the main window recives a key event.
  // we then switch on the key value and set the camera in the GLWindow
  switch (_event->key())
  {
  case Qt::Key_Escape : QApplication::exit(EXIT_SUCCESS); break;
  default : break;
  }
  // now pass the event onto the gl window
  m_gl->keyPressEvent(_event);

}

void MainWindow::resizeEvent ( QResizeEvent * _event )
{
  m_gl->resize(_event->size());
}

